[MERGED] osmo-pcu[master]: jenkins.sh: use absolute paths instead of 'cd ..' and $PWD

This is merely a historical archive of years 2008-2021, before the migration to mailman3.

A maintained and still updated list archive can be found at https://lists.osmocom.org/hyperkitty/list/gerrit-log@lists.osmocom.org/.

Neels Hofmeyr gerrit-no-reply at lists.osmocom.org
Thu Aug 11 11:06:26 UTC 2016


Neels Hofmeyr has submitted this change and it was merged.

Change subject: jenkins.sh: use absolute paths instead of 'cd ..' and $PWD
......................................................................


jenkins.sh: use absolute paths instead of 'cd ..' and $PWD

Change-Id: If79d283fa0a559bb7ea319c513d09466eff523d1
---
M contrib/jenkins.sh
1 file changed, 16 insertions(+), 11 deletions(-)

Approvals:
  Jenkins Builder: Verified
  Holger Freyther: Looks good to me, approved



diff --git a/contrib/jenkins.sh b/contrib/jenkins.sh
index 7d3acc0..b4b0cb7 100755
--- a/contrib/jenkins.sh
+++ b/contrib/jenkins.sh
@@ -12,18 +12,22 @@
    exit 0
 fi
 
-rm -rf deps/install
-mkdir deps || true
-cd deps
+base="$PWD"
+deps="$base/deps"
+inst="$deps/install"
+
+rm -rf "$inst"
+mkdir "$deps" || true
+cd "$deps"
 osmo-deps.sh libosmocore
 
 cd libosmocore
 autoreconf --install --force
-./configure --prefix=$PWD/../install
+./configure --prefix="$inst"
 $MAKE $PARALLEL_MAKE install
 
 # Install the API
-cd ../
+cd "$deps"
 if ! test -d layer1-api;
 then
   git clone git://git.sysmocom.de/sysmo-bts/layer1-api.git layer1-api
@@ -32,16 +36,17 @@
 cd layer1-api
 git fetch origin
 git reset --hard origin/master
-mkdir -p $PWD/../install/include/sysmocom/femtobts/
-cp include/*.h ../install/include/sysmocom/femtobts/
+api_incl="$inst/include/sysmocom/femtobts/"
+mkdir -p "$api_incl"
+cp include/*.h "$api_incl"
 
-cd ../../
+cd "$base"
 autoreconf --install --force
 BTS_CONFIG="--enable-sysmocom-bts=$sysmobts --enable-sysmocom-dsp=$sysmodsp"
 if [ $sysmobts = "no" ]; then
   BTS_CONFIG="$BTS_CONFIG --enable-vty-tests"
 fi
 
-PKG_CONFIG_PATH=$PWD/deps/install/lib/pkgconfig ./configure $BTS_CONFIG
-PKG_CONFIG_PATH=$PWD/deps/install/lib/pkgconfig $MAKE $PARALLEL_MAKE
-DISTCHECK_CONFIGURE_FLAGS="$BTS_CONFIG" AM_DISTCHECK_CONFIGURE_FLAGS="$BTS_CONFIG" PKG_CONFIG_PATH=$PWD/deps/install/lib/pkgconfig LD_LIBRARY_PATH=$PWD/deps/install/lib $MAKE distcheck
+PKG_CONFIG_PATH="$inst/lib/pkgconfig" ./configure $BTS_CONFIG
+PKG_CONFIG_PATH="$inst/lib/pkgconfig" $MAKE $PARALLEL_MAKE
+DISTCHECK_CONFIGURE_FLAGS="$BTS_CONFIG" AM_DISTCHECK_CONFIGURE_FLAGS="$BTS_CONFIG" PKG_CONFIG_PATH="$inst/lib/pkgconfig" LD_LIBRARY_PATH="$inst/lib" $MAKE distcheck

-- 
To view, visit https://gerrit.osmocom.org/680
To unsubscribe, visit https://gerrit.osmocom.org/settings

Gerrit-MessageType: merged
Gerrit-Change-Id: If79d283fa0a559bb7ea319c513d09466eff523d1
Gerrit-PatchSet: 2
Gerrit-Project: osmo-pcu
Gerrit-Branch: master
Gerrit-Owner: Neels Hofmeyr <nhofmeyr at sysmocom.de>
Gerrit-Reviewer: Holger Freyther <holger at freyther.de>
Gerrit-Reviewer: Jenkins Builder
Gerrit-Reviewer: Neels Hofmeyr <nhofmeyr at sysmocom.de>
Gerrit-Reviewer: neels_test_account <neels at hofmeyr.de>



More information about the gerrit-log mailing list